FreeMat

- Main Page
- Related Pages

vtkTableToSparseArray

Section: Visualization Toolkit Infovis Classes

# Usage

Converts a vtkTable into a sparse array. Use AddCoordinateColumn() to designate one-to-many table columns that contain coordinates for each array value, and SetValueColumn() to designate the table column that contains array values.

Thus, the number of dimensions in the output array will equal the number of calls to AddCoordinateColumn().

The coordinate columns will also be used to populate dimension labels in the output array.

.SECTION Thanks Developed by Timothy M. Shead (tshea.nosp@m.d@sa.nosp@m.ndia..nosp@m.gov) at Sandia National Laboratories.

To create an instance of class vtkTableToSparseArray, simply invoke its constructor as follows

      obj = vtkTableToSparseArray

# Methods

The class vtkTableToSparseArray has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTableToSparseArray class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTableToSparseArray = obj.NewInstance ()`
- `vtkTableToSparseArray = obj.SafeDownCast (vtkObject o)`
- `obj.ClearCoordinateColumns ()` - Specify the set of input table columns that will be mapped to coordinates in the output sparse array.
- `obj.AddCoordinateColumn (string name)` - Specify the set of input table columns that will be mapped to coordinates in the output sparse array.
- `obj.SetValueColumn (string name)` - Specify the input table column that will be mapped to values in the output array.
- `string = obj.GetValueColumn ()` - Specify the input table column that will be mapped to values in the output array.